Summary: ja locale data
Name: localedata-ja
Version: 0.1
Release: 2a
Copyright: LGPL
Group: System Environment/Libraries
Source0: glibc-locales-ja.tar.gz
Source1: glibc-gconv-modules.patch
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
Buildroot: /var/tmp/localedata-root
BuildArchitectures: noarch

%description
This package contains ja locale data so that glibc 2.1 can provide ja locale.

%prep
%setup -n locales-ja -q

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/locale
cp -ar * $RPM_BUILD_ROOT/usr/share/locale

%post
if [ "$1" = 1 ]
then
	awk '{print $0} /EUCJP/ {print "alias\tUJIS//\t\t\tEUC-JP//\nalias\tEUC//\t\t\tEUC-JP//"}' /usr/lib/gconv/gconv-modules > /usr/lib/gconv/gconv-modules.tmp
	mv /usr/lib/gconv/gconv-modules.tmp /usr/lib/gconv/gconv-modules
fi

%postun
if [ "$1" = "0" ]
then
	awk '!/UJIS|EUC\// {print $0}' /usr/lib/gconv/gconv-modules > /usr/lib/gconv/gconv-modules.tmp
	mv /usr/lib/gconv/gconv-modules.tmp /usr/lib/gconv/gconv-modules
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /usr/share/locale/ja_JP
%dir /usr/share/locale/ja_JP.SJIS
%dir /usr/share/locale/ja_JP.ISO-2022-JP
/usr/share/locale/ja_JP/*
/usr/share/locale/ja_JP.SJIS/*
/usr/share/locale/ja_JP.ISO-2022-JP/*
/usr/share/locale/ja
/usr/share/locale/ja_JP.EUC
/usr/share/locale/ja_JP.ujis
/usr/share/locale/ja_JP.eucJP
/usr/share/locale/ja_JP.JIS7

%changelog
* Tue Jun 29 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- changed locale names.

* Fri Apr 09 1999 Toru Hoshina<hoshina@best.com>
- revision up.
- added support EUC instead of EUCJP

* Wed Mar 31 1999 Toru Hoshina<hoshina@best.com>
- 1st release.
